Infrastructure: Production   

Description

We must recreate the development environment, as it is in RPrototypingLab, even on TextCrowd:

https://services.d4science.org/group/textcrowd/textcrowd

To do this you need to have on this scope:

Services:

1) DataMiner

2) DMPoolManager

3) DMGhost

Portlets:

1) DataMiner Manager

2) SAI

3) DataMiner Deployer (only for administrator)

Subtasks:

VM Creation # 10060: TextCrowd DataMiner - create a new DataMiner instance for TextCrowd Closed

VM Creation # 10061: TextCrowd DMGhost - create a new dataminer-textcrowd-ghost VM Rejected

VM Creation # 10062: TextCrowd DMPoolManager - create a new VM for DMPoolManager in Tex... Rejected

History

#1 - Oct 29, 2017 12:21 PM - Pasquale Pagano

It is still unclear to me why we need to create new instances and not to share the existing ones to this environment. Could you please clarify? thanks. 

#2 - Oct 30, 2017 11:23 AM - Giancarlo Panichi

DMPoolManager currently runs only on one scope at a time accepting a configuration that defines both its Stage and Production environments. The

configuration also contains the definition of the reference ghost machines (DataMiner) for both environments, as well as the folder name on svn where

to store the jars and the algorithm deployment information. Using the environments folder defined on svn the DMScheduler aligns the various

DataMiners. Currently, if you want to have a TextCrowd environment, you need to create a new one to maintain it separated from RPrototypingLab.

Even assuming that in the future DMPoolManager can run on more than one scope at a time, some issues still remain. For example, the ghost

publishes on the IS in a specific scope, creates the algorithm jars, and register some information about the algorithm such as the generation string,

the last request and so on... all this information and files are subsequently saved on our svn repository becoming key for keeping the alignment on

svn for that specific environment. For this reason, if a ghost publishes in multiple environments, there could be issues with different algorithms

versions creating conflicts over svn for the same algorithm.This is, of course, not the best solution, it would be better to have a db where to store all

the information including the files and metadata that we could add to the algorithm. This can be addressed in some future activities.

#3 - Nov 02, 2017 10:01 AM - Roberto Cirillo

- Due date set to Nov 03, 2017

due to changes in a related task

#4 - Nov 06, 2017 12:14 PM - Roberto Cirillo

I've added the Dataminer service endpoint resource. Now, it's needed to share the ghost instance and the dm-pool-manager instance from

RPrototypingLab environment.

#5 - Nov 06, 2017 12:41 PM - Roberto Cirillo
- Status changed from New to In Progress

#6 - Nov 06, 2017 12:44 PM - Roberto Cirillo

- Status changed from In Progress to Feedback

- Assignee changed from Roberto Cirillo to Giancarlo Panichi

I've successfully added the dm-pool-manager instance and the dm-ghost instance so the new prototyping environment should be complete.

Please, @g.panichi@isti.cnr.it  could you provide a feedback for this environment? 

#7 - Nov 06, 2017 03:43 PM - Roberto Cirillo

I've changed the DMScheduler settings of dm-192-168-100-104.garr.d4science.org (dataminer instance deployed on TextCrowd VRE), in order to pull

the algorithms from svn proto path and not from svn production path.

#8 - Nov 06, 2017 06:04 PM - Giancarlo Panichi

- Status changed from Feedback to In Progress

- Assignee changed from Giancarlo Panichi to Roberto Cirillo

@roberto.cirillo@isti.cnr.it, after you've added the SAI resource now it seems to work.

DataMiner works properly.

#9 - Nov 06, 2017 06:16 PM - Roberto Cirillo

- Status changed from In Progress to Closed

Thanks @g.panichi@isti.cnr.it I'm going to close this ticket.
